unit UKiadKeres;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, DB, DBTables;

type
  TForm3 = class(TForm)
    listkiad: TListBox;
    Panel1: TPanel;
    editnev: TEdit;
    hozzabutton: TButton;
    modbutton: TButton;
    buttontorol: TButton;
    buttonment: TButton;
    buttonmegsem: TButton;
    buttonok: TButton;
    buttoncancel: TButton;
    editnevk: TEdit;
    buttonkeres: TButton;
    Label1: TLabel;
    altalanosq: TQuery;
    procedure FormShow(Sender: TObject);
    procedure lathatosag(be:boolean);
    procedure listkiadClick(Sender: TObject);
    procedure buttonkeresClick(Sender: TObject);
    procedure hozzabuttonClick(Sender: TObject);
    procedure modbuttonClick(Sender: TObject);
    procedure buttontorolClick(Sender: TObject);
    procedure buttonmentClick(Sender: TObject);
    procedure buttonmegsemClick(Sender: TObject);
    procedure buttonokClick(Sender: TObject);
    procedure buttoncancelClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form3: TForm3;
  kiadazon:integer;
  hozza:boolean;
  kiado:integer;

implementation

uses Uszerzokeres;

{$R *.dfm}

procedure listboxtolt;
begin
form3.listkiad.Clear;
form3.altalanosq.sql.clear;
form3.altalanosq.SQL.add('Select * from kiado');
form3.altalanosq.Open;
while not form3.altalanosq.eof do
        begin
        form3.listkiad.Items.add(form3.altalanosq['kiadnev']);
        form3.altalanosq.Next;
        end;
form3.altalanosq.Close;
end;

procedure betolt(i:integer);
var j:integer;
begin
form3.altalanosq.Open;
for j:=1 to i do form3.altalanosq.next;
form3.editnev.text:=form3.altalanosq['kiadnev'];
kiadazon:=form3.altalanosq['kiadazon'];
form3.altalanosq.close;
end;


procedure tform3.lathatosag(be:boolean);
begin
editnev.readonly:=not be;
hozzabutton.enabled:=not be;
modbutton.enabled:= not be;
buttontorol.enabled:=not be;
buttonment.enabled:=be;
buttonmegsem.enabled:=be;
end;

procedure TForm3.FormShow(Sender: TObject);
begin
lathatosag(false);
listboxtolt;
listkiad.ItemIndex:=0;
betolt(0);
end;

procedure TForm3.listkiadClick(Sender: TObject);
var i:integer;
begin
i:=listkiad.ItemIndex;
betolt(i);
end;

procedure TForm3.buttonkeresClick(Sender: TObject);
var i,j:integer;
begin
listkiad.ItemIndex:=0;
i:=0;
while (i<=form3.Listkiad.items.count-1) and (listkiad.Items[i]<>editnevk.text) do
        i:=i+1;
if i<=listkiad.Items.count then listkiad.ItemIndex:=i;
betolt(i);
end;

procedure TForm3.hozzabuttonClick(Sender: TObject);
begin
altalanosq.SQL.clear;
altalanosq.SQL.add('INSERT INTO kiado (kiadnev) VALUES (:kiadnev)');
hozza:=true;
lathatosag(true);
end;

procedure TForm3.modbuttonClick(Sender: TObject);
begin
hozza:=false;
altalanosq.SQL.clear;
altalanosq.SQL.add('Update kiado set kiadnev=:kiadnev');
altalanosq.SQL.add('where kiadazon=:kiadazon');
lathatosag(true);
end;

procedure sqlfuttat(torol:boolean);
begin
if not hozza then form3.altalanosq.ParamByName('kiadazon').AsInteger:=kiadazon;
if not torol then
        begin
        form3.altalanosq.ParamByName('kiadnev').AsString:=form3.editnev.text;
        form3.altalanosq.ExecSQL;
        end else
            begin
            if messagedlg('Biztos hogy trli a bejegyzst?', mtconfirmation,[mbyes,mbno],0)=mryes then
                begin
                form3.altalanosq.execsql;
                form3.listkiad.ItemIndex:=0;
                end;
            end;
listboxtolt;
end;

procedure TForm3.buttontorolClick(Sender: TObject);
begin
hozza:=false;
altalanosq.sql.clear;
altalanosq.sql.add('Delete from kiado where kiadazon=:kiadazon');
sqlfuttat(true);
end;

procedure TForm3.buttonmentClick(Sender: TObject);
begin
sqlfuttat(false);
lathatosag(false);
listboxtolt;
lathatosag(false);
end;

procedure TForm3.buttonmegsemClick(Sender: TObject);
begin
lathatosag(false);
end;

procedure TForm3.buttonokClick(Sender: TObject);
begin
kiado:=listkiad.itemindex;
form3.close;
end;

procedure TForm3.buttoncancelClick(Sender: TObject);
begin
kiado:=-1;
form3.close;
end;

end.
