unit Uszerzokeres;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, DB, DBTables, ExtCtrls, StdCtrls;

type
  TForm2 = class(TForm)
    ListBox1: TListBox;
    nevedit: TEdit;
    KeresButton1: TButton;
    Panel1: TPanel;
    Button2: TButton;
    Button3: TButton;
    keresszerzo_query: TQuery;
    nevedit2: TEdit;
    szuldatumedit: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    nemzetedit: TEdit;
    Label3: TLabel;
    hozzaButton: TButton;
    delbutton: TButton;
    modbutton: TButton;
    Button6: TButton;
    mentbutton: TButton;
    megsembutton: TButton;
    altalanosq: TQuery;
    procedure FormShow(Sender: TObject);
    procedure KeresButton1Click(Sender: TObject);
    procedure Button6Click(Sender: TObject);
    procedure ListBox1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure lathatosag(be:boolean);
    procedure hozzaButtonClick(Sender: TObject);
    procedure mentbuttonClick(Sender: TObject);
    procedure modbuttonClick(Sender: TObject);
    procedure delbuttonClick(Sender: TObject);
    procedure megsembuttonClick(Sender: TObject);
  private
    { Private declarations }
    szerzoazon:integer;
  public
    { Public declarations }
  end;

var
  Form2: TForm2;
  szerzo:integer;
  hozza:boolean;

implementation

{$R *.dfm}

procedure listboxtolt;
begin
form2.listbox1.Clear;
form2.keresszerzo_query.Open;
while not form2.keresszerzo_query.eof do
        begin
        form2.listbox1.Items.add(form2.keresszerzo_query['nev']);
        form2.keresszerzo_query.Next;
        end;
form2.keresszerzo_query.Close;
end;

procedure TForm2.FormShow(Sender: TObject);
begin
lathatosag(false);
listboxtolt;
listbox1.ItemIndex:=0;
end;

procedure betolt(var i:integer);
var j:integer;
begin
form2.keresszerzo_query.Open;
for j:=1 to i do form2.keresszerzo_query.next;
form2.nevedit2.text:=form2.keresszerzo_query['nev'];
form2.szuldatumedit.Text:=form2.keresszerzo_query['szul'];
form2.nemzetedit.text:=form2.keresszerzo_query['nemzetisege'];
form2.szerzoazon:=form2.keresszerzo_query['szerzoazon'];
form2.keresszerzo_query.close;
end;

procedure TForm2.KeresButton1Click(Sender: TObject);
var i,j:integer;
begin
listbox1.ItemIndex:=0;
i:=0;
while  (i<=form2.ListBox1.items.count-1) and (listbox1.Items[i]<>nevedit.text) do
        i:=i+1;
if i<=listbox1.Items.count then listbox1.ItemIndex:=i;
betolt(i);
end;


procedure TForm2.Button6Click(Sender: TObject);
var i,j:integer;
begin
i:=listbox1.ItemIndex;
while (i<=form2.ListBox1.items.count-1) and (listbox1.Items[i]<>nevedit.text)do
        i:=i+1;
if i<=listbox1.Items.count then listbox1.ItemIndex:=i;
betolt(i);
end;

procedure TForm2.ListBox1Click(Sender: TObject);
var i:integer;
begin
i:=listbox1.ItemIndex;
betolt(i);
end;

procedure TForm2.Button2Click(Sender: TObject);
begin
szerzo:=listbox1.ItemIndex+1;
form2.Close;
end;

procedure TForm2.Button3Click(Sender: TObject);
begin
szerzo:=-1;
form2.close;
end;

procedure tform2.lathatosag(be:boolean);
begin
nevedit2.readonly:=not be;
szuldatumedit.readonly:=not be;
nemzetedit.readonly:= not be;
hozzabutton.enabled:=not be;
modbutton.enabled:= not be;
delbutton.enabled:=not be;
mentbutton.enabled:=be;
megsembutton.enabled:=be;
end;

procedure TForm2.hozzaButtonClick(Sender: TObject);
begin
altalanosq.SQL.clear;
altalanosq.SQL.add('INSERT INTO tszerzo (nev,szul,nemzetisege) VALUES (:nev,:szul,:nemzetisege)');
hozza:=true;
lathatosag(true);
end;

procedure sqlfuttat(torol:boolean);
begin
if not hozza then form2.altalanosq.ParamByName('szerzoazon').AsInteger:=form2.szerzoazon;
if not torol then
        begin
        form2.altalanosq.ParamByName('nev').AsString:=form2.nevedit2.text;
        form2.altalanosq.ParamByName('szul').AsString:=form2.szuldatumedit.text;
        form2.altalanosq.ParamByName('nemzetisege').AsString:=form2.nemzetedit.text;
        form2.altalanosq.ExecSQL;
        end else
            begin
            if messagedlg('Biztos hogy trli a bejegyzst?', mtconfirmation,[mbyes,mbno],0)=mryes then
                begin
                form2.altalanosq.execsql;
                form2.listbox1.ItemIndex:=0;
                end;
            end;
listboxtolt;
end;

procedure TForm2.mentbuttonClick(Sender: TObject);
begin
sqlfuttat(false);
lathatosag(false);
listboxtolt;
end;

procedure TForm2.modbuttonClick(Sender: TObject);
begin
hozza:=false;
altalanosq.SQL.clear;
altalanosq.SQL.add('Update tszerzo set nev=:nev,');
altalanosq.SQL.add('szul=:szul, nemzetisege=:nemzetisege');
altalanosq.SQL.add('where szerzoazon=:szerzoazon');
lathatosag(true);
end;

procedure TForm2.delbuttonClick(Sender: TObject);
begin
hozza:=false;
altalanosq.sql.clear;
altalanosq.sql.add('Delete from tszerzo where szerzoazon=:szerzoazon');
sqlfuttat(true);
end;

procedure TForm2.megsembuttonClick(Sender: TObject);
begin
lathatosag(false);
end;

end.
