unit Ufo;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, DB, DBTables, ComCtrls, Grids, StdCtrls, ExtCtrls;

type
  TForm1 = class(TForm)
    Adatbazis_konyvtar: TDatabase;
    Lapkezelo: TPageControl;
    konyvpage: TTabSheet;
    tagpage: TTabSheet;
    kolcspage: TTabSheet;
    Panel1: TPanel;
    keresedit: TEdit;
    keresesalapja: TComboBox;
    KeresButton1: TButton;
    tablazat: TStringGrid;
    Panel2: TPanel;
    szerzoEdit1: TEdit;
    szerzoEdit2: TEdit;
    cimedit: TEdit;
    kiadedit: TEdit;
    kiadevedit: TEdit;
    leiredit: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    UpDown1: TUpDown;
    konyvhozzabutton: TButton;
    Konyvtorol: TButton;
    altalanosq: TQuery;
    altalanosq2: TQuery;
    modbutton: TButton;
    btnfelv: TButton;
    btnmod: TButton;
    btntorol: TButton;
    btnment: TButton;
    btnmegsem: TButton;
    editnev: TEdit;
    editcim: TEdit;
    Label7: TLabel;
    Label8: TLabel;
    Label9: TLabel;
    Label10: TLabel;
    Label11: TLabel;
    editszemig: TEdit;
    editanyja: TEdit;
    edittel: TEdit;
    listtag: TListBox;
    tagok: TStringGrid;
    konyvek: TStringGrid;
    ListBox1: TListBox;
    Button4: TButton;
    kolcsonzes: TStringGrid;
    Label12: TLabel;
    btnnev: TButton;
    Edit1: TEdit;
    Edit2: TEdit;
    btnkonyv: TButton;
    Button5: TButton;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    function szerzoker:string;
    function kiadkeres:string;
    procedure Button3Click(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure KeresButton1Click(Sender: TObject);
    procedure UpDown1Click(Sender: TObject; Button: TUDBtnType);
    procedure konyvhozzabuttonClick(Sender: TObject);
    procedure tablazatSelectCell(Sender: TObject; ACol, ARow: Integer;
      var CanSelect: Boolean);
    procedure modbuttonClick(Sender: TObject);
    procedure KonyvtorolClick(Sender: TObject);
    procedure kereses;
    procedure tagpageShow(Sender: TObject);
    procedure btnfelvClick(Sender: TObject);
    procedure btnmodClick(Sender: TObject);
    procedure btntorolClick(Sender: TObject);
    procedure listtagClick(Sender: TObject);
    procedure btnmentClick(Sender: TObject);
    procedure btnmegsemClick(Sender: TObject);
    procedure kolcspageShow(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure tagokSelectCell(Sender: TObject; ACol, ARow: Integer;
      var CanSelect: Boolean);
    procedure konyvekSelectCell(Sender: TObject; ACol, ARow: Integer;
      var CanSelect: Boolean);
    procedure kolcsbetolt;
    procedure Button5Click(Sender: TObject);
    procedure kolcsonzesSelectCell(Sender: TObject; ACol, ARow: Integer;
      var CanSelect: Boolean);
  private
    { Private declarations }
  public
    { Public declarations }
  end;
ptag=^ttag;

ttag=record
 nev:string;
 azon:integer;
 end;


var
  Form1: TForm1;
  kiadazon,szerzo1,szerzo2,tagazon:integer;
  konyvazon,tablasor:integer;
  taglista:tlist;
  hozza:boolean;
  kolcssor,tagsor,konyvsor:integer;


implementation

uses Uszerzokeres, UKiadKeres;

{$R *.dfm}

function tform1.szerzoker:string;
var i:integer;
begin
form2.showmodal;
if uszerzokeres.szerzo<>-1 then
        begin
        altalanosq.SQL.clear;
        altalanosq.SQL.add('select nev from tszerzo where szerzoazon=:szerzoazon');
        altalanosq.ParamByName('szerzoazon').AsInteger:=uszerzokeres.szerzo;
        altalanosq.open;
        szerzoker:=altalanosq['nev'];
        altalanosq.close;
        end;
end;

procedure TForm1.Button1Click(Sender: TObject);
var i:integer;
begin
szerzo1:=uszerzokeres.szerzo;
szerzoedit1.text:=szerzoker;
end;

procedure TForm1.Button2Click(Sender: TObject);
var i:integer;
begin
szerzo2:=uszerzokeres.szerzo;
szerzoedit2.text:=szerzoker;
end;

function tform1.kiadkeres:string;
var i:integer;
begin
altalanosq.SQL.clear;
altalanosq.SQL.add('select kiadnev from kiado where kiadazon=:kiadazon');//:kiadazon ');
altalanosq.ParamByName('kiadazon').AsInteger:=ukiadkeres.kiadazon;
altalanosq.Open;
kiadkeres:=altalanosq['kiadnev'];
altalanosq.close;
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
form3.showmodal;
kiadazon:=ukiadkeres.kiado+1;
kiadedit.text:=kiadkeres;
end;

procedure TForm1.FormActivate(Sender: TObject);
begin
tablazat.ColCount:=5;
tablazat.Cells[0,0]:='cm';
tablazat.Cells[1,0]:='szerz';
tablazat.Cells[2,0]:='szerz2';
tablazat.Cells[3,0]:='kiad';
tablazat.cells[4,0]:='kiadva';
tablazat.cells[5,0]:='konyvazon';
konyvazon:=0;
end;

function szerzokiir(s:string):string;
begin
form1.altalanosq2.SQL.clear ;
form1.altalanosq2.SQL.Add('Select nev from tszerzo where szerzoazon=:szerzoazon');
form1.altalanosq2.ParamByName('szerzoazon').AsString:=s;
form1.altalanosq2.Open;
szerzokiir:=form1.altalanosq2['nev'];
form1.altalanosq2.Close;
end;

function kiadkiir(s:string):string;
begin
form1.altalanosq2.SQL.clear ;
form1.altalanosq2.SQL.Add('Select kiadnev from kiado where kiadazon=:kiadoazon');
form1.altalanosq2.ParamByName('kiadoazon').AsString:=s;
form1.altalanosq2.Open;
kiadkiir:=form1.altalanosq2['kiadnev'];
form1.altalanosq2.Close;
end;

procedure tform1.kereses;
var i:integer;
begin
   altalanosq.sql.Clear;
   case keresesalapja.ItemIndex of
        0: begin
          altalanosq.SQL.add('Select * from tkonyvek where');
          altalanosq.sql.Add('(szerzo =(select szerzoazon from tszerzo where nev like :mezo))');
          altalanosq.SQL.Add('or (szerzo2 =(select szerzoazon from tszerzo where nev like :mezo)   )');
          altalanosq.ParamByName('mezo').AsString:='%'+keresedit.text+'%';
          end;

       1: begin
          altalanosq.SQL.add('Select * from tkonyvek where cim like :mezo');
          altalanosq.ParamByName('mezo').AsString:='%'+keresedit.text+'%';
          altalanosq.open;
          end;

       5: altalanosq.SQL.add('Select * from tkonyvek');

       2:showmessage('Ez a funkcio meg nem mukodik');
       3:showmessage('Ez a funkcio meg nem mukodik');
       4:showmessage('Ez a funkcio meg nem mukodik');

       //2: altalanosq.sql.Add('Select * from tkonyvek where kiadev=:mezo');
       end;

  i:=1;
  if (keresesalapja.ItemIndex=0) or (keresesalapja.ItemIndex=1) or (keresesalapja.ItemIndex=5) then
    begin
    altalanosq.Open;
    while not altalanosq.Eof do
        begin
        with tablazat do
             begin
             cells[0,i]:=altalanosq['cim'];
             cells[1,i]:=szerzokiir(altalanosq['szerzo']);
             cells[2,i]:=szerzokiir(altalanosq['szerzo2']);
             cells[3,i]:=kiadkiir(altalanosq['kiado']);
             cells[4,i]:=inttostr(altalanosq['kiadev']);
             cells[5,i]:=inttostr(altalanosq['konyvazon']);
             cells[6,i]:=inttostr(altalanosq['szerzo']);
             cells[7,i]:=inttostr(altalanosq['szerzo2']);
             cells[8,i]:=inttostr(altalanosq['kiado'])
             end;
        altalanosq.Next;
        tablazat.rowcount:=i+1;
        i:=i+1;
        end;
     altalanosq.Close;
    end;
end;


procedure TForm1.KeresButton1Click(Sender: TObject);
begin
if keresesalapja.ItemIndex<>-1 then
   begin
   kereses;
   end else showmessage('lltsa be a keress alapjt!');
end;

procedure TForm1.UpDown1Click(Sender: TObject; Button: TUDBtnType);
var i:integer;
begin
i:=strtoint(kiadevedit.text);
if button=BtNext then inc(i) else dec(i);
kiadevedit.text:=inttostr(i);
end;

procedure TForm1.konyvhozzabuttonClick(Sender: TObject);
begin
altalanosq.SQL.Clear;

altalanosq.SQL.Add('insert into tkonyvek');
altalanosq.SQL.Add('(szerzo,szerzo2,cim,kiado,kiadev,leiras)');
altalanosq.SQL.Add('values (:szerzo, :szerzo2, :cim, :kiado, :kiadev, :leiras)');

altalanosq.ParamByName('szerzo').AsInteger:=szerzo;
altalanosq.ParamByName('szerzo2').AsInteger:=szerzo2;
altalanosq.ParamByName('cim').AsString:=cimedit.text;
altalanosq.ParamByName('kiado').AsInteger:=kiadazon;
altalanosq.ParamByName('kiadev').AsInteger:=strtoint(kiadevedit.text);
altalanosq.ParamByName('leiras').AsString:=leiredit.text;

altalanosq.ExecSQL;
showmessage('Rendben!');
end;

procedure TForm1.tablazatSelectCell(Sender: TObject; ACol, ARow: Integer;
  var CanSelect: Boolean);
begin
//form1.Caption:=tablazat.cells[5,arow];
if tablazat.cells[acol,arow]<>'' then
   begin
   tablasor:=arow;
   szerzoedit1.Text:=tablazat.cells[1,arow];
   szerzoedit2.Text:=tablazat.cells[2,arow];
   cimedit.Text:=tablazat.cells[0,arow];
   kiadedit.text:=tablazat.cells[3,arow];
   kiadevedit.Text:=tablazat.cells[4,arow];
   szerzo:=strtoint(tablazat.cells[6,arow]);
   szerzo2:=strtoint(tablazat.cells[7,arow]);
   kiadazon:=strtoint(tablazat.cells[8,arow]);
   konyvazon:=strtoint(tablazat.cells[5,arow]);
   end else
        begin
        szerzoedit1.Text:='';
        szerzoedit2.Text:='';
        cimedit.Text:='';
        kiadedit.text:='';
        kiadevedit.Text:='';
        szerzo:=-1;
        szerzo2:=-1;
        kiadazon:=0;
        konyvazon:=0;
        end;

end;

procedure TForm1.modbuttonClick(Sender: TObject);
var s:string;
begin
if konyvazon<>0 then
   begin
   s:='Biztosan mdostja az albbi knyvet? '+tablazat.cells[1,tablasor]+' : '+tablazat.cells[0,tablasor];
   if messagedlg(s, mtconfirmation,[mbyes,mbno],0)=mryes then
        begin
        altalanosq.SQL.Clear;
        altalanosq.SQL.Add('Update tkonyvek set szerzo=:szerzo,');
        altalanosq.SQL.Add('szerzo2=:szerzo2,cim=:cim, kiado=:kiado,');
        altalanosq.SQL.Add('kiadev=:kiadev, leiras=:leiras where konyvazon=:konyvazon');
        altalanosq.ParamByName('szerzo').AsInteger:=szerzo;
        altalanosq.ParamByName('szerzo2').AsInteger:=szerzo2;
        altalanosq.ParamByName('cim').AsString:=cimedit.text;
        altalanosq.ParamByName('kiado').AsInteger:=kiadazon;
        altalanosq.ParamByName('kiadev').AsInteger:=strtoint(kiadevedit.text);
        altalanosq.ParamByName('leiras').AsString:=leiredit.text;
        altalanosq.ParamByName('konyvazon').AsInteger:=konyvazon;
        altalanosq.ExecSQL;
        kereses;
        end;
   end else showmessage('Nem j kivlasztott elem! (nem lehet mdostani)');
end;

procedure TForm1.KonyvtorolClick(Sender: TObject);
var s:string;
begin
if konyvazon<>0 then
        begin
        s:='Biztosan trli az albbi knyvet? '+tablazat.cells[1,tablasor]+' : '+tablazat.cells[0,tablasor];
        if messagedlg(s, mtconfirmation,[mbyes,mbno],0)=mryes then
                begin
                altalanosq.SQL.Clear;
                altalanosq.SQL.add('Delete from tkonyvek where konyvazon=:konyvazon');
                altalanosq.ParamByName('konyvazon').AsInteger:=konyvazon;
                altalanosq.ExecSQL;
                kereses;
                end;
        end;
end;

function CompareNames(Item1, Item2: ptag): Integer;
begin
//  Result := CompareText( Item1^.nev, Item2^.nev);
Result := CompareText(Item1^.nev, Item2^.Nev);
end;

procedure lathatosag(lathat:boolean);

begin
form1.editnev.readonly:=lathat;
form1.editanyja.readonly:=lathat;
form1.editcim.readonly:=lathat;
form1.edittel.readonly:=lathat;
form1.editszemig.readonly:=lathat;

form1.btnfelv.enabled:=lathat;
form1.btnmod.enabled:=lathat;
form1.btntorol.enabled:=lathat;
form1.btnment.enabled:=not lathat;
form1.btnmegsem.enabled:=not lathat;
end;

procedure betolt(lathat:boolean);
var tag:ptag;
begin
form1.listtag.items.clear;
form1.altalanosq.SQL.Clear;
form1.altalanosq.SQL.add('Select nev,tagazon from tagok');
new(tag);
form1.altalanosq.Open;

while not form1.altalanosq.eof do
        begin
        tag^.nev:=form1.altalanosq['nev'];
        tag^.azon:=form1.altalanosq['tagazon'];
        form1.listtag.Items.Add(tag^.nev);//form1.altalanosq['nev']);
        //taglista.Add(tag);
        form1.altalanosq.Next;
        end;

form1.altalanosq.Close;
dispose(tag);
//taglista.Sort(@comparetext);

lathatosag(true);

form1.listtag.Itemindex:=0;
end;

procedure TForm1.tagpageShow(Sender: TObject);
begin
listtag.itemindex:=0;
betolt(true);
end;

procedure TForm1.btnfelvClick(Sender: TObject);
begin
altalanosq.SQL.clear;
altalanosq.SQL.add('INSERT INTO tagok (nev,anyjanev,cim,telszam,szemigszam)');
altalanosq.SQL.add(' VALUES (:nev,:anyjanev,:cim,:telszam,:szemigszam)');
hozza:=true;
lathatosag(false);
end;

procedure TForm1.btnmodClick(Sender: TObject);
begin
hozza:=false;
altalanosq.SQL.clear;
altalanosq.SQL.add('Update tagok set nev=:nev,');
altalanosq.SQL.add('anyjanev=:anyjanev, cim=:cim,');
altalanosq.SQL.add('telszam=:telszam,szemigszam=:szemigszam ');
altalanosq.SQL.add('where tagazon=:tagazon');
lathatosag(false);
end;

procedure sqlfuttat(torol:boolean);
begin
if not hozza then form1.altalanosq.ParamByName('tagazon').AsInteger:=tagazon;
if not torol then
        begin
        form1.altalanosq.ParamByName('nev').AsString:=form1.editnev.text;
        form1.altalanosq.ParamByName('anyjanev').AsString:=form1.editanyja.text;
        form1.altalanosq.ParamByName('cim').AsString:=form1.editcim.text;
        form1.altalanosq.ParamByName('telszam').AsString:=form1.edittel.text;
        form1.altalanosq.ParamByName('szemigszam').AsString:=form1.editszemig.text;
        form1.altalanosq.ExecSQL;
        end else
            begin
            if messagedlg('Biztos hogy trli a bejegyzst?', mtconfirmation,[mbyes,mbno],0)=mryes then
                begin
                form1.altalanosq.execsql;
                form1.listtag.ItemIndex:=0;
                end;
            end;
betolt(true);
end;

procedure TForm1.btntorolClick(Sender: TObject);
begin
hozza:=false;
altalanosq.sql.clear;
altalanosq.sql.add('Delete from tagok where tagazon=:tagazon');
sqlfuttat(true);
end;

procedure tagbetolt(hanyadik:integer);
var j:integer;
begin
form1.altalanosq.SQL.Clear;
form1.altalanosq.sql.add('Select * from tagok where tagazon=:tagazon');
form1.altalanosq.ParamByName('tagazon').AsInteger:=hanyadik;
form1.altalanosq.open;
form1.editnev.text:=form1.altalanosq['nev'];
form1.editanyja.text:=form1.altalanosq['anyjanev'];
form1.editcim.text:=form1.altalanosq['cim'];
form1.edittel.text:=form1.altalanosq['telszam'];
form1.editszemig.text:=form1.altalanosq['szemigszam'];
tagazon:=form1.altalanosq['tagazon'];
form1.altalanosq.close;
end;

procedure TForm1.listtagClick(Sender: TObject);
var i:integer;
begin
i:=listtag.ItemIndex;
tagbetolt(i+1);
end;

procedure TForm1.btnmentClick(Sender: TObject);
begin
sqlfuttat(false);
lathatosag(true);
end;

procedure TForm1.btnmegsemClick(Sender: TObject);
begin
lathatosag(true);
end;


function szerzokereses(i:integer):string;
begin
form1.altalanosq.SQL.clear;
form1.altalanosq.SQL.add('select nev from tszerzo where szerzoazon=:szerzoazon');
form1.altalanosq.ParamByName('szerzoazon').AsInteger:=i;
form1.altalanosq.open;
szerzokereses:=form1.altalanosq['nev'];
form1.altalanosq.close;
end;

function kiadokereses(i:integer):string;
begin
form1.altalanosq.SQL.clear;
form1.altalanosq.SQL.add('Select kiadnev from kiado where kiadazon=:kiadazon');
form1.altalanosq.ParamByName('kiadazon').AsInteger:=i;
form1.altalanosq.open;
kiadokereses:=form1.altalanosq['kiadnev'];
form1.altalanosq.close;
end;


function tagkeres(i:integer):string;
begin
form1.altalanosq.SQL.clear;
form1.altalanosq.SQL.add('Select nev from tagok where tagazon=:tagazon');
form1.altalanosq.ParamByName('tagazon').AsInteger:=i;
form1.altalanosq.open;
tagkeres:=form1.altalanosq['nev'];
form1.altalanosq.close;
end;


function konyvkeres(i:integer):string;
begin
form1.altalanosq.SQL.clear;
form1.altalanosq.SQL.add('Select cim from tkonyvek where konyvazon=:konyvazon');
form1.altalanosq.ParamByName('konyvazon').AsInteger:=i;
form1.altalanosq.open;
konyvkeres:=form1.altalanosq['cim'];
form1.altalanosq.close;
end;

procedure tform1.kolcsbetolt;
var i:integer;
begin
tagok.Cells[0,0]:='Nev';
tagok.Cells[1,0]:='Cim';
tagok.Cells[2,0]:='Anyja neve';
tagok.Cells[3,0]:='Tel szam';
tagok.Cells[4,0]:='Szem ig. szam';
tagok.Cells[5,0]:='1';

konyvek.cells[0,0]:='Cim';
konyvek.cells[1,0]:='Szerzo';
konyvek.cells[2,0]:='Szerzo 2';
konyvek.cells[3,0]:='Kiado';
konyvek.cells[4,0]:='Kiadasi ev';
konyvek.cells[5,0]:='1';

kolcsonzes.Cells[0,0]:='Klcsnz neve';
kolcsonzes.Cells[1,0]:='Klcsnztt Knyv';
kolcsonzes.Cells[2,0]:='1';

altalanosq.SQL.Clear;
altalanosq.SQL.Add('Select * from tagok');
altalanosq.Open;

i:=1;
tagok.RowCount:=1;
while not altalanosq.eof do
        begin
        with tagok do
         begin
         cells[0,i]:=altalanosq['nev'];
         cells[1,i]:=altalanosq['anyjanev'];
         cells[2,i]:=altalanosq['cim'];
         cells[3,i]:=altalanosq['telszam'];
         cells[4,i]:=altalanosq['szemigszam'];
         cells[5,i]:=inttostr(altalanosq['tagazon']);
         tagok.RowCount:=i+1;
         end;

        i:=i+1;
        altalanosq.next;
        end;

altalanosq.close;

altalanosq2.SQL.Clear;
altalanosq2.SQL.Add('Select cim,szerzo,szerzo2,kiado,kiadev,konyvazon from tkonyvek');
altalanosq2.Open;
i:=1;

konyvek.Rowcount:=1;
while not altalanosq2.eof do
        begin
        konyvek.cells[0,i]:=altalanosq2['cim'];
        konyvek.cells[1,i]:=szerzokereses(altalanosq2['szerzo']);
        konyvek.cells[2,i]:=szerzokereses(altalanosq2['szerzo2']);
        konyvek.cells[3,i]:=kiadokereses(altalanosq2['kiado']);
        konyvek.cells[4,i]:=inttostr(altalanosq2['kiadev']);
        konyvek.cells[5,i]:=inttostr(altalanosq2['konyvazon']);
        konyvek.Rowcount:=i+1;
        i:=i+1;
        altalanosq2.next;
        end;
altalanosq2.Close;

altalanosq2.SQL.Clear;
altalanosq2.SQL.Add('Select tag,konyv,kolcsazon from tkolcsonzes');
altalanosq2.Open;
i:=1;
kolcsonzes.RowCount:=1;

while not altalanosq2.eof do
        begin
        kolcsonzes.cells[0,i]:=tagkeres(altalanosq2['tag']);
        kolcsonzes.cells[1,i]:=konyvkeres(altalanosq2['konyv']);
        kolcsonzes.cells[2,i]:=inttostr(altalanosq2['kolcsazon']);
        kolcsonzes.RowCount:=i+1;
        i:=i+1;
        altalanosq2.next;
        end;
altalanosq2.Close;
end;

procedure TForm1.kolcspageShow(Sender: TObject);
begin
kolcsbetolt;
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
altalanosq.SQL.Clear;
altalanosq.SQL.Add('Insert into tkolcsonzes (tag,konyv) values (:tag,:konyv)');
altalanosq.ParamByName('tag').AsInteger:=tagsor;
altalanosq.ParamByName('konyv').AsInteger:=konyvsor;
altalanosq.ExecSQL;
kolcsbetolt;
end;

procedure TForm1.tagokSelectCell(Sender: TObject; ACol, ARow: Integer;
  var CanSelect: Boolean);
begin
tagsor:=strtoint(tagok.cells[5,arow]);
end;

procedure TForm1.konyvekSelectCell(Sender: TObject; ACol, ARow: Integer;
  var CanSelect: Boolean);
begin
konyvsor:=strtoint(konyvek.cells[5,arow]);
end;

procedure TForm1.Button5Click(Sender: TObject);
begin
if messagedlg('Biztos hogy trli a bejegyzst?', mtconfirmation,[mbyes,mbno],0)=mryes then
        begin
        altalanosq.SQL.Clear;
        altalanosq.SQL.add('Delete from tkolcsonzes where kolcsazon=:kolcsazon');
        altalanosq.ParamByName('kolcsazon').AsInteger:=kolcssor;
        altalanosq.ExecSQL;
        end;
kolcsbetolt;
end;

procedure TForm1.kolcsonzesSelectCell(Sender: TObject; ACol, ARow: Integer;
  var CanSelect: Boolean);
begin
kolcssor:=strtoint(kolcsonzes.cells[2,arow]);
end;

end.
